#!/bin/bash
# génération de l'image squashfs pour wine
# par defaut le prefix est .wine
# il est possible de generer une image pour un prefix .wine-application
# en passant "application" en argument
if [ -n "$1" ]; then
	nom="-$1"
fi
. /usr/share/sambaedu/includes/config.inc.sh
mkdir -p /var/sambaedu/unattended/install/wine
chown $config_se4install_name /var/sambaedu/unattended/install/wine
if [ -d /var/sambaedu/unattended/install/wine/wine$nom.img ] ; then
	mv /var/sambaedu/unattended/install/wine/wine$nom.img /var/sambaedu/unattended/install/wine/wine$nom.img.old
fi
mksquashfs /home/$config_se4install_name/.wine$nom /var/sambaedu/unattended/install/wine/wine$nom.img -no-progress -no-xattrs # -quiet
chown $config_se4install_name /var/sambaedu/unattended/install/wine/wine$nom.img
