/*
 * Fonctions de selection
 * des établissements secondaires
 */
function ajouterEtabSec() {
	uai = $('#SearchUAISecond').val();
	name = $("#ListEtabSecondaires option[value='" + uai + "']").attr("EtabName");
	// On met l'étab dans l'option cachée des selectionnés 
	$("<option SELECTED/>").
		val(uai).
		text(uai + ' ' + name).
		appendTo("#EtabSecondSelected");
	// Ajout à la liste li trash
	$("#EtabSecond ul").append('<li class="list-group-item">' +
		'<button class="btn btn-danger btn-sm btn-circle" type="button" ' +
		'onClick="supprimerEtabSec(\'' + uai + '\',\'' + name + '\');">' +
		'<i class=\"fas fa-trash fa-2xs\"></i></button> ' +
		uai + ' ' + name +
		'</li>"');
	// On le remove de la datalist
	$("#ListEtabSecondaires option[value='" + uai + "']").remove();
	// On efface le champ
	$('#SearchUAISecond').attr("placeholder", "Ajouter un établissement secondaire").val("").focus().blur();
}

function supprimerEtabSec(uai, name) {
	// suppression du select caché
	$("#EtabSecondSelected option[value='" + uai + "']").remove();
	// suppression de la liste li
	$("#EtabSecond ul li:contains(" + uai + ")").remove();
	// ajout au datalist
	$("<option />").
		val(uai).
		text(uai + " " + name).
		appendTo("#ListEtabSecondaires");
}

/*
* Formulaires de confirmation pour le déplacement d'un parc 
* vers un nouveau parent.
*/
function moveParc(parcname) {
	htmlConfirm = "<p style=\"color : red;\">Souhaitez-vous changer de parent pour le parc " + parcname + " ?"
	htmlConfirm += " <input type=\"submit\" value=\"Oui\"> <input type=\"reset\" value=\"Non\" onclick=\"eraseConfirm()\"></p>";
	document.getElementById("confirmMoveParc").innerHTML = htmlConfirm;
}
function eraseConfirm() {
	document.getElementById("parent").value = "";
	htmlConfirm = "";
	document.getElementById("confirmMoveParc").innerHTML = htmlConfirm;
}
